%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg2 --import %{1} \
gpg2 --trust-model always --verify %{2} %{?3} \
rm -Rf $GNUPGHOME ;\
\

Summary:	Tools for Managing Linux CIFS Client Filesystems
Name:		cifs-utils
Version:	7.0
License:	GPLv3
Group:		Networking/Other
Release:	%mkrel 1
URL:		https://www.samba.org/linux-cifs/cifs-utils/
Source0:	https://download.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
Source1:	https://download.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2.asc
Source2:	https://download.samba.org/pub/linux-cifs/cifs-utils/cifs-utils-pubkey_0642D5A0.asc
Patch0:		cifs-utils-6.12-no-mount-smb3.patch
Patch1:		cifs-utils-6.11-smb2-quota-python-shebang.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python3-docutils
BuildRequires:	pkgconfig(talloc)
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	keyutils-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(wbclient)
BuildRequires:	gnupg2
BuildRequires:	pam-devel
Recommends:	sudo nss_wins
Provides:	mount-cifs = %{version}
Obsoletes:	mount-cifs <= 4.0
Requires:	keyutils

%description
Tools for Managing Linux CIFS Client Filesystems.

%package	devel
Summary:	Files needed for building plugins for cifs-utils
Group:		Development/C

%description	devel
This package contains the header file necessary for building ID mapping
plugins for cifs-utils.

%prep
%check_sig %{SOURCE2} %{SOURCE1} %{SOURCE0}

%setup -q
%autopatch -p1

%build
%serverbuild

autoreconf -fi
%configure \
    --sbindir=%{_sbindir} \
    --enable-cifsacl \
    --enable-cifsidmap

%make_build

%install
%make_install

mv %{buildroot}/sbin/mount.cifs %{buildroot}%{_sbindir}/mount.cifs
ln -s ../sbin/mount.cifs %{buildroot}%{_bindir}/mount.cifs
# Hack for smb4k
ln -s umount %{buildroot}%{_bindir}/umount.cifs

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_libdir}/%{name}/idmapwb.so %{buildroot}%{_sysconfdir}/%{name}/idmap-plugin
mkdir -p %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.idmap.conf %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.spnego.conf %{buildroot}%{_sysconfdir}/request-key.d
cp contrib/request-key.d/README contrib/request-key.d/README.keyutils-1.5.5

%files
%doc AUTHORS README doc/linux-cifs-client-guide.odt
%doc contrib/request-key.d/README.keyutils-1.5.5
%config(noreplace) %{_sysconfdir}/%{name}/idmap-plugin
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.idmap.conf
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.spnego.conf
%{_bindir}/cifscreds
%{_bindir}/*etcifsacl
%{_bindir}/smbinfo
%{_bindir}/smb2-quota
%{_sbindir}/cifs.upcall
%{_sbindir}/cifs.idmap
%{_sbindir}/mount.cifs
%{_libdir}/%{name}/idmapwb.so
%{_libdir}/security/pam_cifscreds.so
%{_bindir}/mount.cifs
%{_bindir}/umount.cifs
%{_mandir}/man8/cifs.upcall.8*
%{_mandir}/man8/cifs.idmap.8*
%{_mandir}/man8/mount.cifs.8*
%{_mandir}/man8/idmapwb.8*
%{_mandir}/man8/pam_cifscreds.8*
%{_mandir}/man1/*etcifsacl.1*
%{_mandir}/man1/cifscreds.1*
%{_mandir}/man1/smbinfo.1*
%{_mandir}/man1/smb2-quota.1*

%files devel
%{_includedir}/cifsidmap.h


%changelog
* Thu Feb 09 2023 luigiwalser <luigiwalser> 7.0-1.mga9
+ Revision: 1939754
- 7.0

* Mon May 09 2022 ns80 <ns80> 6.15-1.mga9
+ Revision: 1856967
- new version 6.15 for CVE-2022-27239 and CVE-2022-29869 (mga#30360)

* Wed Mar 30 2022 umeabot <umeabot> 6.13-3.mga9
+ Revision: 1834803
- Mageia 9 Mass Rebuild

* Sun Sep 26 2021 luigiwalser <luigiwalser> 6.13-2.mga9
+ Revision: 1746551
- add upstream bugfixes via fedora

* Mon May 31 2021 luigiwalser <luigiwalser> 6.13-1.mga9
+ Revision: 1729014
- 6.13
- drop upstream security patch included in 6.13

* Mon May 31 2021 neoclust <neoclust> 6.12-2.mga9
+ Revision: 1728970
- Add P100: Fixes CVE-2021-20208 (mga#29056)

* Thu Mar 11 2021 daviddavid <daviddavid> 6.12-1.mga9
+ Revision: 1701388
- new version: 6.12
- remove merged upstream patch

* Sun Nov 29 2020 joequant <joequant> 6.11-2.mga8
+ Revision: 1650167
- fix https://bugs.archlinux.org/task/68666 - fails with libcap-ng 0.8.1

* Wed Sep 23 2020 luigiwalser <luigiwalser> 6.11-1.mga8
+ Revision: 1629637
- fix ambiguous shebang in smb2-quota python script
- 6.11

* Sat Feb 15 2020 umeabot <umeabot> 6.9-7.mga8
+ Revision: 1525398
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Apr 15 2019 daviddavid <daviddavid> 6.9-6.mga7
+ Revision: 1390576
- new version: 6.9

* Wed Jan 23 2019 daviddavid <daviddavid> 6.8-6.mga7
+ Revision: 1360154
- rst2man is now provided by python3-docutils

* Sat Sep 22 2018 umeabot <umeabot> 6.8-5.mga7
+ Revision: 1296220
- Mageia 7 Mass Rebuild

* Mon May 07 2018 wally <wally> 6.8-4.mga7
+ Revision: 1227511
- build with gnupg2

* Mon Apr 16 2018 shlomif <shlomif> 6.8-3.mga7
+ Revision: 1219410
- add the man pages again

* Mon Apr 16 2018 shlomif <shlomif> 6.8-2.mga7
+ Revision: 1219380
- fix build
- New version 6.8

* Mon Mar 06 2017 luigiwalser <luigiwalser> 6.7-1.mga6
+ Revision: 1088913
- 6.7

* Fri Sep 09 2016 luigiwalser <luigiwalser> 6.6-1.mga6
+ Revision: 1051178
- 6.6

* Mon May 09 2016 luigiwalser <luigiwalser> 6.5-1.mga6
+ Revision: 1011330
- 6.5
- fix source URLs

* Mon Feb 01 2016 umeabot <umeabot> 6.4-5.mga6
+ Revision: 930260
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.4-4.mga5
+ Revision: 746322
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 6.4-3.mga5
+ Revision: 693606
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 6.4-2.mga5
+ Revision: 678393
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Jul 18 2014 luigiwalser <luigiwalser> 6.4-1.mga5
+ Revision: 653534
- 6.4
- remove upstream patches

* Sat May 17 2014 luigiwalser <luigiwalser> 6.3-2.mga5
+ Revision: 623119
- add upstream patches via fedora:
  - patch 1, autoconf: allow PAM security install directory to be configurable
  - patch 2, cifs: use krb5_kt_default() to determine default keytab location
  - patches 3-5, cifskey: use snprintf(), cifscreds: better error handling
    (CVE-2014-2830)

* Fri Feb 14 2014 luigiwalser <luigiwalser> 6.3-1.mga5
+ Revision: 591368
- 6.3

* Mon Oct 21 2013 umeabot <umeabot> 6.2-2.mga4
+ Revision: 540531
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 6.2-1.mga4
+ Revision: 493811
- 6.2

* Thu Jul 04 2013 luigiwalser <luigiwalser> 6.1-1.mga4
+ Revision: 450011
- 6.1

* Mon Apr 01 2013 luigiwalser <luigiwalser> 6.0-1.mga3
+ Revision: 406906
- 6.0

* Fri Jan 11 2013 umeabot <umeabot> 5.9-2.mga3
+ Revision: 347753
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 luigiwalser <luigiwalser> 5.9-1.mga3
+ Revision: 344272
- 5.9

* Mon Dec 24 2012 luigiwalser <luigiwalser> 5.8-1.mga3
+ Revision: 334755
- 5.8

* Tue Oct 30 2012 luigiwalser <luigiwalser> 5.7-1.mga3
+ Revision: 311639
- 5.7

* Mon Jul 30 2012 sander85 <sander85> 5.6-1.mga3
+ Revision: 276194
- New version: 5.6.
- Move binaries under /usr.
+ buchan <buchan>
- Include upstream patch fixing ftruncate unused variable causing warnings with
 FORTIFY_SOURCE, allowing us to keep -Werror
- Undo some unnecessary changes
- Clean buildroot in %%install (so short-circuit doesnt cause spurious problems)

* Sun May 06 2012 tmb <tmb> 5.4-1.mga2
+ Revision: 234794
- drop duplicate BR for wbclient
- BR pkgconfig(wbclient)
+ luigiwalser <luigiwalser>
- run autoreconf to try to fix build (from mdv)
- re-add mount.cifs symlink in /bin
+ buchan <buchan>
- BR gnupg for signature verification
- New version (addresses CVE-2012-1586, bug #5714)
- Enable signature checking
- BR wbclient-devel, so we can enable cifsidmap and cifsacl tools
- Cleanups removing tasks install target now takes care of

* Sat Mar 03 2012 dams <dams> 5.3-1.mga2
+ Revision: 217424
- sync with fedora and mandriva
- new version 5.3
- clean spec file
+ yann <yann>
- new upstream version
- clean a little spec file

* Thu Sep 08 2011 tv <tv> 4.9-1.mga2
+ Revision: 141526
- new release

* Wed Mar 23 2011 ennael <ennael> 4.8.1-1.mga1
+ Revision: 76061
- clean spec file
- imported package cifs-utils


* Tue Feb 22 2011 Buchan Milne <bgmilne@mandriva.org> 4.8.1-1mdv2011.0
+ Revision: 639375
- update to new version 4.8.1

* Thu Oct 21 2010 Buchan Milne <bgmilne@mandriva.org> 4.7-1mdv2011.0
+ Revision: 587138
- update to new version 4.7

* Mon Aug 09 2010 Buchan Milne <bgmilne@mandriva.org> 4.6-1mdv2011.0
+ Revision: 567890
- update to new version 4.6

* Tue May 18 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-2mdv2010.1
+ Revision: 545280
- Provide additional symlinks required if we are to replace mount-cifs
- Provide/obsolete mount-cifs (samba 3.5 packages allow this, 3.4 not currently)
- Suggest sudo (for use with e.g. smb4k) and nss_wins (to provide name resolution)

* Thu May 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-1mdv2010.1
+ Revision: 543019
- New version 4.4

* Wed Apr 14 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-2mdv2010.1
+ Revision: 534798
- BR cap-devel

* Tue Apr 13 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-1mdv2010.1
+ Revision: 534178
- update to new version 4.3

* Tue Apr 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.2-1mdv2010.1
+ Revision: 532128
- update to new version 4.2

* Thu Apr 01 2010 Buchan Milne <bgmilne@mandriva.org> 4.1-1mdv2010.1
+ Revision: 530603
- update to new version 4.1

* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.1
+ Revision: 518388
- fix deps (krb5-devel)
- import cifs-utils


* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.0
- initial Mandriva package
